Package twisted :: Package protocols :: Module irc :: Class DccSendFactory

[frames | no frames]

## Class DccSendFactory

    Factory --+
              |
             DccSendFactory

Method Summary
| `__init__(self, file)`
| `buildProtocol(self, connection)`
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`class` | `protocol` = `twisted.protocols.irc.DccSendProtocol`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Generated by Epydoc 2.0 on Sat May 15 20:08:17 2004 | http://epydoc.sf.net